Bug 35362 - increase default max open files limit (default: 1024)
increase default max open files limit (default: 1024)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: PAM
UCS 3.2
All Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Felix Botner
Philipp Hahn
:
Depends on: 32415
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 12:35 CEST by Philipp Hahn
Modified: 2014-09-10 17:36 CEST (History)
8 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-07-15 12:35:56 CEST
+++ This bug was initially created as a clone of Bug #32415 +++
In several environments he saw Samba4 opened about 6 files per client-connection, where the default limit (ulimit) is always set to 1024. He had to increase the ulimits on most servers.

a) Samba has its own mechanism to overwrite the limit: Bug #26277
b) r47352 is wrong: Note the double "user"
-	security/limits/user/.*/soft/nofile?'8192' \
-	security/limits/user/.*/hard/nofile?'8192' \
+	security/limits/user/default/user/soft/nofile?'8192' \
+	security/limits/user/default/user/hard/nofile?'8192' \
                        ^^^^         ^^^^
The limit is currently not applied:
# grep ^[^#] /etc/security/limits.conf
@"Domain Users"   hard     nproc    1000

Fix:
# python -c 'from univention.config_registry.frontend import ConfigRegistry, ucr_update;P="security/limits/user/default/";ucr_update(ConfigRegistry(), {P+"user/hard/nofile":None,P+"user/soft/nofile":None,P+"hard/nofile":"32768",P+"soft/nofile":"32768",})'
# grep ^[^#] /etc/security/limits.conf
default           soft     nofile   32768
default           hard     nofile   32768
@"Domain Users"   hard     nproc    1000
Comment 1 Felix Botner univentionstaff 2014-08-28 15:18:25 CEST
fixed the ucr default to 

+       'security/limits/default/user/soft/nofile'?'32768' \
+       'security/limits/default/user/hard/nofile'?'32768'

merged to UCS 4.0

YAML: 2014-08-28-univention-pam.yaml
Comment 2 Philipp Hahn univentionstaff 2014-08-29 14:46:00 CEST
OK: r53119 r53132
OK: /usr/sbin/announce_errata -V 2014-08-28-univention-pam.yaml
OK: ucr search --brief nofile
OK: aptitude install '?source-package(univention-pam)?installed'
OK: ulimit -n
Comment 3 Janek Walkenhorst univentionstaff 2014-09-10 17:36:14 CEST
http://errata.univention.de/ucs/3.2/192.html